Subject: Re: bug#16360: "guild help COMMAND" crashes
From: Mark H Weaver <[email-masked]>
To: Zefram <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Oct 2014 14:38:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Zefram <[email-masked]> writes:

> "guild help COMMAND" crashes for most existing guild subcommands.
> For example:
>
> $ GUILE=/usr/bin/guile-2.0 guild help frisk 
> Usage: guild frisk OPTION...
> Show dependency information for a module.
> Backtrace:
[...]
>
> ERROR: In procedure open-file:
> ERROR: Wrong type (expecting string): #f
> $
>
> This is guile-2.0.9 on Debian.  Debian incarnation of this bug report:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734314

I was never able to reproduce this bug.  I suspect it was either
specific to your system or to Debian, but in any case this seems to work
now on Debian jessie, according to Rob Browning (maintainer of the Guile
package on Debian).

Rob closed the Debian bug report, and I'm closing it on our end also.
Feel free to reopen it if you think there's still a problem.

    Thanks!
      Mark